aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGravatar Peter Korsgaard <jacmet@sunsite.dk>2009-03-02 19:56:13 +0000
committerGravatar Peter Korsgaard <jacmet@sunsite.dk>2009-03-02 19:56:13 +0000
commit890412421b1c5ef5dcc4fe9483fb172961adb973 (patch)
treec175f39dac2db660e79cdb9e1705f5fb8ce7271d
parent0d5dfaa08564b18b999a5ac8c3da03a3353db22e (diff)
downloadbuildroot-890412421b1c5ef5dcc4fe9483fb172961adb973.tar.gz
buildroot-890412421b1c5ef5dcc4fe9483fb172961adb973.tar.bz2
ipsec-tools: use select rather than depends for library dependencies
As noticed on the mailing list.
-rw-r--r--package/ipsec-tools/Config.in7
1 files changed, 3 insertions, 4 deletions
diff --git a/package/ipsec-tools/Config.in b/package/ipsec-tools/Config.in
index 50777ab39b..355616d0af 100644
--- a/package/ipsec-tools/Config.in
+++ b/package/ipsec-tools/Config.in
@@ -1,12 +1,11 @@
config BR2_PACKAGE_IPSEC_TOOLS
bool "ipsec-tools"
- depends on BR2_PACKAGE_OPENSSL && BR2_PACKAGE_FLEX && BR2_PACKAGE_FLEX_LIBFL
+ select BR2_PACKAGE_OPENSSL
+ select BR2_PACKAGE_FLEX
+ select BR2_PACKAGE_FLEX_LIBFL
help
This package is required to support IPSec for Linux 2.6+
-comment "ipsec-tools - disabled (requires openssl, flex and the flex library (libfl.a) )"
- depends on !BR2_PACKAGE_OPENSSL || !BR2_PACKAGE_FLEX
-
config BR2_PACKAGE_IPSEC_TOOLS_ADMINPORT
default y
depends on BR2_PACKAGE_IPSEC_TOOLS